# coding: utf-8
from spyne.model.complex import Array, ComplexModel
from spyne.model.primitive import Integer, Unicode


class Item(ComplexModel):

    __type_name__ = 'item'

    count = Integer

    control_unit = Unicode
    control_unit_id = Integer

    unit_id = Integer
    unit_shortname = Unicode
    unit_name = Unicode

    class Annotations(ComplexModel.Annotations):

        doc = u'Контейнер, содержащий данные учреждений.'


class Root(ComplexModel):

    __type_name__ = 'root'

    units = Array(Item)

    class Annotations(ComplexModel.Annotations):

        doc = u'Контейнер учреждений.'
